summaryrefslogtreecommitdiff
path: root/.config/polybar/music
diff options
context:
space:
mode:
Diffstat (limited to '.config/polybar/music')
-rwxr-xr-x.config/polybar/music15
1 files changed, 15 insertions, 0 deletions
diff --git a/.config/polybar/music b/.config/polybar/music
new file mode 100755
index 00000000..40a028f6
--- /dev/null
+++ b/.config/polybar/music
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+player_status=$(playerctl status 2> /dev/null)
+if [[ $? -eq 0 ]]; then
+ metadata=$(echo "$(playerctl metadata title) - $(playerctl metadata artist) - $(playerctl metadata album)" | cut -c -80)
+fi
+
+# Foreground color formatting tags are optional
+if [[ $player_status = "Playing" ]]; then
+ echo "%{F#FFFFFF}▶️ $metadata%{F-}"
+elif [[ $player_status = "Paused" ]]; then
+ echo "%{F#999}⏸️ $metadata%{F-}"
+else
+ echo ""
+fi